function switch=iduipoin(arg,handle)
%IDUIPOIN Sets and resets the window pointer to watch and arrow
%
%	ARG = 1 means that the pointer is set to 'watch';
%	ARG = 2 means that the pointer is set to 'arrow';
%	ARG = 0 means that no action is taken
%	HANDLE contains window handle numbers for which the
%	pointer shall be set, in addition to the SITB_GUI's main windows.
%	Output argument SWITCH is returned
%       0 if watch is asked for and the pointer in XIDsumb is alreada a watch
%	2 if watch is asked for and the pointes actullay are changed.

%	L. Ljung 4-4-94
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.3 $  $Date: 1995/05/02 16:32:08 $


if arg==0,return,end
win_point=findobj(get(0,'children'),'flat','vis','on');

if arg==1, point='watch';else point='arrow';end
set(win_point,'pointer',point)
